using SCOGateway.POSGk;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace gatewayGK.POSGk
{
    public class AddItemResp
    {
        [JsonPropertyName("primaryEntry")]
        public primaryEntry PrimaryEntry { get; set; }
    }

    public class primaryEntry
    {
        [JsonPropertyName("transaction")]
        public TransactionItem transaction { get; set; }
        [JsonPropertyName("addedOrModifiedLineItems")]
        public List<addedOrModifiedLineItems> addedOrModifiedLineItems { get; set; }
    }

    public class TransactionItem
    {
        [JsonPropertyName("key")]
        public KeyItem key { get; set; }
    }

    public class KeyItem
    {
        [JsonPropertyName("transactionID")]
        public string transactionID { get; set; }
    }

    public class addedOrModifiedLineItems
    {
        [JsonPropertyName("saleReturnLineItemList")]
        public List<saleReturnLineItemList> saleReturnLineItemList { get; set; }
    }

   

    public class saleReturnLineItemList
    {
        [JsonPropertyName("itemID")]
        public string itemID { get; set; }
        [JsonPropertyName("regularUnitPrice")]
        public decimal regularUnitPrice { get; set; }
        [JsonPropertyName("quantity")]
        public int quantity { get; set; }
        [JsonPropertyName("units")]
        public double units { get; set; }
        [JsonPropertyName("receiptText")]
        public string receiptText { get; set; }
    }
}
